[61634] trunk/dports/net/nfdump

ryandesign at macports.org ryandesign at macports.org
Wed Dec 16 22:30:49 PST 2009


Revision: 61634
          http://trac.macports.org/changeset/61634
Author:   ryandesign at macports.org
Date:     2009-12-16 22:30:48 -0800 (Wed, 16 Dec 2009)
Log Message:
-----------
nfdump:

 * update to 1.5.8; fixes mtree violation by manpages
 * add license info to portfile
 * install the license file in the doc dir; don't install the INSTALL file
 * install doc files with permissions that allow normal users to read them
 * fix livecheck
 * remove the Makefile.in patch which seems not to be necessary
 * add openmaintainer

See #22921

Modified Paths:
--------------
    trunk/dports/net/nfdump/Portfile
    trunk/dports/net/nfdump/files/patch-configure

Removed Paths:
-------------
    trunk/dports/net/nfdump/files/patch-Makefile.in

Modified: trunk/dports/net/nfdump/Portfile
===================================================================
--- trunk/dports/net/nfdump/Portfile	2009-12-17 06:15:18 UTC (rev 61633)
+++ trunk/dports/net/nfdump/Portfile	2009-12-17 06:30:48 UTC (rev 61634)
@@ -3,10 +3,10 @@
 PortSystem	1.0
 
 name			nfdump
-version			1.5.6
-revision		4
+version			1.5.8
 categories		net
-maintainers		markd
+maintainers		markd openmaintainer
+license			BSD
 platforms		darwin
 
 description		Part of the NfSen project, the nfdump tools are command-line programs to \
@@ -15,11 +15,11 @@
 
 homepage		http://nfdump.sourceforge.net/
 master_sites		sourceforge
-distfiles		${distname}.tar.gz
-checksums		md5 2fb8b467cceb6f43bac5da4be8bed771
+checksums		md5     f314513652df18259f8303c542918cbb \
+			sha1    73a18f3eabb7f928d8ed9c2a305914c953f9457e \
+			rmd160  3b91874088cec70eae697fa45f9e8c2832da43b9
 
 patchfiles	patch-configure \
-		patch-Makefile.in \
 		patch-ft2nfdump.c
 
 depends_lib	port:rrdtool
@@ -29,8 +29,8 @@
 		--with-rrdpath=${prefix}
 
 post-destroot {
-        xinstall -m 640 -d ${destroot}${prefix}/share/doc/${name}
-        xinstall -m 640 -W ${worksrcpath} INSTALL README ChangeLog ToDo \
+        xinstall -d ${destroot}${prefix}/share/doc/${name}
+        xinstall -m 644 -W ${worksrcpath} BSD-license.txt ChangeLog README ToDo \
                 ${destroot}${prefix}/share/doc/${name}
 }
 
@@ -41,3 +41,4 @@
 
 }
 
+livecheck.regex	{(?i)<title>stable nfdump-(.*) released.*</title>}

Deleted: trunk/dports/net/nfdump/files/patch-Makefile.in
===================================================================
--- trunk/dports/net/nfdump/files/patch-Makefile.in	2009-12-17 06:15:18 UTC (rev 61633)
+++ trunk/dports/net/nfdump/files/patch-Makefile.in	2009-12-17 06:30:48 UTC (rev 61634)
@@ -1,41 +0,0 @@
---- Makefile.in.org	2007-10-14 23:34:23.000000000 -0700
-+++ Makefile.in	2008-02-16 08:32:58.000000000 -0800
-@@ -72,31 +72,31 @@
- all: $(OBJECTS)
- 
- nfcapd:	$(NFCAPD_OBJ)
--	$(CC) $(CFLAGS) -o $@ $(NFCAPD_OBJ) $(LDFLAGS) $(LIBS)
-+	$(CC) $(CFLAGS) -o $@ $(NFCAPD_OBJ) $(LDFLAGS)
- 
- sfcapd: $(SFCAPD_OBJ)
--	$(CC) $(CFLAGS) -o $@ $(SFCAPD_OBJ) $(LDFLAGS) $(LIBS)
-+	$(CC) $(CFLAGS) -o $@ $(SFCAPD_OBJ) $(LDFLAGS)
- 
- nftest: nftest.o $(COMMON_OBJ) $(FILTER_OBJ)
--	$(CC) $(CFLAGS) $(INCS) -o $@ nftest.o $(COMMON_OBJ) $(FILTER_OBJ) $(LDFLAGS) $(LIBS)
-+	$(CC) $(CFLAGS) $(INCS) -o $@ nftest.o $(COMMON_OBJ) $(FILTER_OBJ) $(LDFLAGS)
- 
- nfgen: nfgen.o
--	$(CC) $(CFLAGS) $(INCS) -o $@ $? $(LDFLAGS) $(LIBS)
-+	$(CC) $(CFLAGS) $(INCS) -o $@ $? $(LDFLAGS)
- 
- nfdump: $(NFDUMP_OBJ)
--	$(CC) $(CFLAGS) $(INCS) -o $@ $(NFDUMP_OBJ) $(LDFLAGS) $(LIBS)
-+	$(CC) $(CFLAGS) $(INCS) -o $@ $(NFDUMP_OBJ) $(LDFLAGS)
- 
- nfprofile: $(NFPROF_OBJ)
- 	$(CC) $(CFLAGS) $(INCS) -o $@ $(NFPROF_OBJ) $(LDFLAGS) $(LIBS)
- 
- nfreplay: $(NFRPLY_OBJ)
--	$(CC) $(CFLAGS) $(INCS) -o $@ $(NFRPLY_OBJ) $(LDFLAGS) $(LIBS)
-+	$(CC) $(CFLAGS) $(INCS) -o $@ $(NFRPLY_OBJ) $(LDFLAGS)
- 
- nfexpire: $(NFEXPR_OBJ)
- 	$(CC) $(CFLAGS) $(INCS) -o $@ $(NFEXPR_OBJ) $(LDFLAGS)
- 
- ft2nfdump: $(FT2NF_OBJ)
--	$(CC) $(CFLAGS) -o $@ $(FT2NF_OBJ) $(LDFLAGS) $(FT_LDFLAGS) $(FT_LIBS) $(LIBS)
-+	$(CC) $(CFLAGS) -o $@ $(FT2NF_OBJ) $(LDFLAGS) $(FT_LDFLAGS) $(FT_LIBS)
- 
- nfreader: $(NFRDR_OBJ)
- 	$(CC) $(CFLAGS) -o $@ $(NFRDR_OBJ) $(LDFLAGS)

Modified: trunk/dports/net/nfdump/files/patch-configure
===================================================================
--- trunk/dports/net/nfdump/files/patch-configure	2009-12-17 06:15:18 UTC (rev 61633)
+++ trunk/dports/net/nfdump/files/patch-configure	2009-12-17 06:30:48 UTC (rev 61634)
@@ -1,6 +1,6 @@
---- configure.org	2007-10-14 23:34:23.000000000 -0700
-+++ configure	2008-02-15 14:12:58.000000000 -0800
-@@ -3971,7 +3971,7 @@
+--- configure.org	2009-04-17 07:08:20.000000000 -0500
++++ configure	2009-12-16 23:28:17.000000000 -0600
+@@ -3208,7 +3208,7 @@
  fi
  
  if test -d "$WHERE_FTPATH"; then
@@ -9,7 +9,7 @@
  		{ { echo "$as_me:$LINENO: error: ftlib.h file not found in flow-tools directory '$WHERE_FTPATH'. Use --with-ftpath=PATH" >&5
  echo "$as_me: error: ftlib.h file not found in flow-tools directory '$WHERE_FTPATH'. Use --with-ftpath=PATH" >&2;}
     { (exit 1); exit 1; }; }
-@@ -3981,7 +3981,7 @@
+@@ -3218,7 +3218,7 @@
  echo "$as_me: error: libft.a not found in flow-tools directory '$WHERE_FTPATH'. Build flow tools first" >&2;}
     { (exit 1); exit 1; }; }
  	fi
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macosforge.org/pipermail/macports-changes/attachments/20091216/0d29de97/attachment.html>


More information about the macports-changes mailing list